
import React from 'react';
import { ButtonToolbar, Button } from 'react-bootstrap' 

import BaseControl from '../../BaseControl.jsx'
import MenuControl from '../MenuControl.jsx'
import Configuration from '../../../Tools/Configuration'


export default class Header extends BaseControl {

    constructor(props) {
        super(props, "Header");
    }

    //Для отладки
    OnRegistersClick() {
        //Глобальное состояние приложения
        let Global = this.GlobalState;
        //Регистр всех активных компонентов
        let Controls = BaseControl.controlRegister;
        //Регистр событий
        let Events = this.EventRegister;
        debugger;
    }

    render() {

        return (
            <div id="AppHeader">
                {
                    (Configuration.EnviromentValue == 'Development')
                        ?
                        <div>
                            <p>Header</p>

                            <button className="RedButton" onClick={this.OnRegistersClick}>
                                Registers
                            </button>
                        </div>
                        : null
                }
                
                

                <MenuControl ref="MenuControl" />                
            </div>
        );

    }
}
